Bug 157543 - start-up notification on firefox attempts to re-run on re-launch
start-up notification on firefox attempts to re-run on re-launch
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: startup-notification (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-12 11:23 EDT by Matthew Lenz
Modified: 2008-05-06 20:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Lenz 2005-05-12 11:23:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050509 Fedora/1.0.3-5 Firefox/1.0.3

Description of problem:
I noticed this problem with test 2 as well, but I figured it would be fixed by test 3.  Basically if you click on the webbrowser icon you get startup notifiction for firefox.  That is fine.  If you click the icon again the startup notification marks the cursor as 'busy' and you have to wait for it to time out before you get a point cursor back.  This happens with all programs that use startup notification but actually don't launch a new binary (but rather just open a new window for an exisiting process)  I think this was disabled in fc3 because of the problem I'm seeing in fc4test3.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start firefox with world+mouse icon on top panel
2. click the same icon again
  

Actual Results:  startup notification turns cursor to hour glass and adds startup process to task list.  It sits this way until start-up notification times out.

Expected Results:  firefox should only use startup notification for the first application start if there is an exisitng process (-remote) it shouldn't.

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:47:33 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matthew Miller 2007-04-06 11:14:35 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 3 Matthew Lenz 2007-04-06 11:34:39 EDT
you can close it. i stopped using fedora after fc4.
Comment 4 Matthew Miller 2007-04-06 11:37:55 EDT
Actually, I just tested this myself, and it's still a problem in rawhide. Thanks
for your report and sorry it never got fixed in time for it to be useful for you.

I'm going to reassign this to startup-notification, because as you note this is
a general problem with programs which act in this way.
Comment 5 Matthew Lenz 2007-04-06 11:50:39 EDT
Not a problem.  startup-notification is hokey on Ubuntu as well :)  The whole
concept just looks and feels like a huge hack.  :(  Plan on checking out FC6
when its out though so maybe I'll end up reconverting :)
Comment 6 Matthew Miller 2007-04-06 11:53:23 EDT
FC6 *is* out. :) Fedora 7 is looking really good, though. 
Comment 7 Matthew Lenz 2007-04-06 11:55:17 EDT
Doh thats what I meant FC7.
Comment 8 Bug Zapper 2008-04-03 12:09:47 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:10:35 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.